fix for ugly things...

Andreas Mohr andi at rhlx01.fht-esslingen.de
Fri Nov 9 14:06:41 CST 2001


[ok, mailed for the *3rd* time now, since WineHQ has been out of space *again*]

Hi all,

- fix potentially problematic stuff (see Apple installer desaster, e.g. on /.)

Codeweavers: your wine.spec is potentially problematic, too !

-- 
Andreas Mohr                        Stauferstr. 6, D-71272 Renningen, Germany
-------------- next part --------------
Determining best CVS host...
Using CVSROOT :pserver:cvs at wine.codeweavers.com:/home/wine
Index: tools/font_convert.sh
===================================================================
RCS file: /home/wine/wine/tools/font_convert.sh,v
retrieving revision 1.1
diff -u -r1.1 font_convert.sh
--- tools/font_convert.sh	2000/05/30 20:49:07	1.1
+++ tools/font_convert.sh	2001/11/04 11:45:14
@@ -89,7 +89,7 @@
     $Q echo "installing ${i%.???}.pcf";
     mv "${i%.???}.pcf" $TARGET 2>/dev/null
     if [ $? -ne 0 ]; then 
-	$Q echo "Can't install fonts to $TARGET. Are your root?"; cd $OLDPWD; rm -rf $TMPDIR; exit 1; fi;
+	$Q echo "Can't install fonts to $TARGET. Are your root?"; cd $OLDPWD; rm -rf "$TMPDIR"; exit 1; fi;
     rm "$i";
 done;
 
Index: documentation/db2html-winehq
===================================================================
RCS file: /home/wine/wine/documentation/db2html-winehq,v
retrieving revision 1.2
diff -u -r1.2 db2html-winehq
--- documentation/db2html-winehq	2001/01/18 23:07:53	1.2
+++ documentation/db2html-winehq	2001/11/04 11:45:14
@@ -92,7 +92,7 @@
 then
   if [ -d ${output}.junk ]
   then
-    /bin/rm -rf ${output}.junk
+    /bin/rm -rf "${output}.junk"
   fi
   if [ -d ${output} ]
   then
@@ -104,6 +104,6 @@
   cat $TMPDIR/*
 fi
 
-rm -rf $TMPDIR
+rm -rf "$TMPDIR"
 
 exit 0
Index: documentation/make_winehq
===================================================================
RCS file: /home/wine/wine/documentation/make_winehq,v
retrieving revision 1.3
diff -u -r1.3 make_winehq
--- documentation/make_winehq	2001/09/26 23:02:31	1.3
+++ documentation/make_winehq	2001/11/04 11:45:14
@@ -21,7 +21,7 @@
 WWWDIR=www.winehq.com
 ## Want to put this into a sub-directory for easier maintenance
 if [ -e $WWWDIR ]; then
-  rm -rf $WWWDIR.old
+  rm -rf "$WWWDIR.old"
   mv $WWWDIR $WWWDIR.old
 fi
 mkdir $WWWDIR


More information about the wine-patches mailing list